#ifndef __CALLBACK_H__
#define __CALLBACK_H__

#include <sys/types.h>
#include <cstdio>

#include <siena/forwarding.h>

#include <sffNetMessage/net_message.h>

class EtherMatchHandler : public MatchHandler {
        public:
                EtherMatchHandler() {};

                bool    output(if_t id) {
//                                printf("Matched Interface: %d\n", id);
				mCount[id]++;
                                return false;
                        };

		void	printStats() {
			int total = 0;
			for(int i=0;i<101;i++) {
				if(0 != mCount[i]) {
					printf("interface %d: %d\n", i, mCount[i]);
					total += mCount[i];
				}
			}
			printf("Handled Packets: %d\n", total);
		}

                net_message* mMessage;
		u_int	mCount[101];
};

int sffnmSetupCallback(siena::FwdTable *FT, const char* file);
void sffnmPrintStats();

#endif
