// -*-C++-*-
//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 1998-2000 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
//
// $Id: yysff.h,v 1.1 2002/11/10 00:53:29 carzanig Exp $
//
#ifndef _YYSFF_H
#define _YYSFF_H

extern int	sff_scanner_open(const char * fname);
extern int	sff_scanner_close();
extern int	sff_parser_stats_only();
extern int	sff_parser_run();
extern void	sff_parser_clear_statistics();
extern void	sff_parser_print_statistics();
extern void	sff_parser_timer_start();
extern void	sff_parser_timer_stop();
#endif
